Name: writerperfect
Version: 0.9.2
Release: 3%{?dist}
Summary: A collection of tools to transform various file formats into ODF

License: MPLv2.0 or LGPLv2+
URL: http://sourceforge.net/p/libwpd/wiki/writerperfect/
Source: http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: help2man
BuildRequires: pkgconfig(libabw-0.1)
BuildRequires: pkgconfig(libcdr-0.1)
BuildRequires: pkgconfig(libe-book-0.1)
BuildRequires: pkgconfig(libepubgen-0.0)
BuildRequires: pkgconfig(libetonyek-0.1)
BuildRequires: pkgconfig(libfreehand-0.1)
BuildRequires: pkgconfig(libgsf-1)
BuildRequires: pkgconfig(libmspub-0.1)
BuildRequires: pkgconfig(libmwaw-0.3)
BuildRequires: pkgconfig(libodfgen-0.1)
BuildRequires: pkgconfig(libpagemaker-0.0)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(libvisio-0.1)
BuildRequires: pkgconfig(libwpd-0.10)
BuildRequires: pkgconfig(libwpg-0.3)
BuildRequires: pkgconfig(libwps-0.3)

%description
%{name} is a collection of command-line tools to transform various document
formats into ODF. Among supported input formats are:
* AbiWord
* Adobe PageMaker
* Apple Keynote
* Corel WordPerfect
* CorelDRAW
* Microsoft Publisher
* Microsoft Visio
* Microsoft Works

%package epub
Summary: A collection of tools to transform various file formats into EPUB

%description epub
%{name} is a collection of command-line tools to transform various document
formats into ODF. Among supported input formats are:
* AbiWord
* Adobe PageMaker
* Apple Keynote
* Corel WordPerfect
* CorelDRAW
* Microsoft Publisher
* Microsoft Visio
* Microsoft Works

%prep
%setup -q

%build
%configure \
    --disable-silent-rules \
    --disable-werror \
    --with-libabw \
    --with-libcdr \
    --with-libe-book \
    --with-libepubgen \
    --with-libetonyek \
    --with-libfreehand \
    --with-libgsf \
    --with-libmspub \
    --with-libmwaw \
    --with-libpagemaker \
    --with-libvisio \
    --with-libwps

make %{?_smp_mflags}

export LD_LIBRARY_PATH=`pwd`/src/lib/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
help2man -N --no-discard-stderr -n 'convert AbiWord document into EPUB' -o abw2epub.1 ./src/abw2epub
help2man -N --no-discard-stderr -n 'convert AbiWord document into ODF' -o abw2odt.1 ./src/abw2odt
help2man -N --no-discard-stderr -n 'convert Corel Presentation Exchange file into EPUB' -o cmx2epub.1 ./src/cmx2epub
help2man -N --no-discard-stderr -n 'convert Corel Presentation Exchange file into ODF' -o cmx2odg.1 ./src/cmx2odg
help2man -N --no-discard-stderr -n 'convert CorelDRAW document into EPUB' -o cdr2epub.1 ./src/cdr2epub
help2man -N --no-discard-stderr -n 'convert CorelDRAW document into ODF' -o cdr2odg.1 ./src/cdr2odg
help2man -N --no-discard-stderr -n 'convert FreeHand document into EPUB' -o fh2epub.1 ./src/fh2epub
help2man -N --no-discard-stderr -n 'convert FreeHand document into ODF' -o fh2odg.1 ./src/fh2odg
help2man -N --no-discard-stderr -n 'convert Keynote presentation into EPUB' -o key2epub.1 ./src/key2epub
help2man -N --no-discard-stderr -n 'convert Keynote presentation into ODF' -o key2odp.1 ./src/key2odp
help2man -N --no-discard-stderr -n 'convert Mac document into EPUB' -o mwaw2epub.1 ./src/mwaw2epub
help2man -N --no-discard-stderr -n 'convert Mac document into ODF' -o mwaw2odf.1 ./src/mwaw2odf
help2man -N --no-discard-stderr -n 'convert PageMaker document into EPUB' -o pmd2epub.1 ./src/pmd2epub
help2man -N --no-discard-stderr -n 'convert PageMaker document into ODF' -o pmd2odg.1 ./src/pmd2odg
help2man -N --no-discard-stderr -n 'convert Publisher document into EPUB' -o pub2epub.1 ./src/pub2epub
help2man -N --no-discard-stderr -n 'convert Publisher document into ODF' -o pub2odg.1 ./src/pub2odg
help2man -N --no-discard-stderr -n 'convert Visio document into EPUB' -o vsd2epub.1 ./src/vsd2epub
help2man -N --no-discard-stderr -n 'convert Visio document into ODF' -o vsd2odg.1 ./src/vsd2odg
help2man -N --no-discard-stderr -n 'convert Visio stencil into EPUB' -o vss2epub.1 ./src/vss2epub
help2man -N --no-discard-stderr -n 'convert Visio stencil into ODF' -o vss2odg.1 ./src/vss2odg
help2man -N --no-discard-stderr -n 'convert WordPerfect document into EPUB' -o wpd2epub.1 ./src/wpd2epub
help2man -N --no-discard-stderr -n 'convert WordPerfect document into ODF' -o wpd2odt.1 ./src/wpd2odt
help2man -N --no-discard-stderr -n 'convert WordPerfect graphics into EPUB' -o wpg2epub.1 ./src/wpg2epub
help2man -N --no-discard-stderr -n 'convert WordPerfect graphics into ODF' -o wpg2odg.1 ./src/wpg2odg
help2man -N --no-discard-stderr -n 'convert Works document into EPUB' -o wps2epub.1 ./src/wps2epub
help2man -N --no-discard-stderr -n 'convert Works document into ODF' -o wps2odt.1 ./src/wps2odt
help2man -N --no-discard-stderr -n 'convert Works spreadsheet into ODF' -o wks2ods.1 ./src/wks2ods
help2man -N --no-discard-stderr -n 'convert e-book into EPUB' -o ebook2epub.1 ./src/ebook2epub
help2man -N --no-discard-stderr -n 'convert e-book into ODF' -o ebook2odt.1 ./src/ebook2odt

%install
make install DESTDIR=%{buildroot}

# only a skeleton currently
rm %{buildroot}%{_bindir}/pages2epub %{buildroot}%{_bindir}/pages2odt

install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 *2epub.1 *2od?.1 %{buildroot}/%{_mandir}/man1

%files
%doc ChangeLog COPYING.LGPL COPYING.MPL NEWS README
%{_bindir}/abw2epub
%{_bindir}/abw2odt
%{_bindir}/cdr2odg
%{_bindir}/cmx2odg
%{_bindir}/ebook2odt
%{_bindir}/fh2odg
%{_bindir}/key2odp
%{_bindir}/mwaw2odf
%{_bindir}/pmd2odg
%{_bindir}/pub2odg
%{_bindir}/vsd2odg
%{_bindir}/vss2odg
%{_bindir}/wks2ods
%{_bindir}/wpd2odt
%{_bindir}/wpg2odg
%{_bindir}/wps2odt
%{_mandir}/man1/abw2odt.1*
%{_mandir}/man1/cdr2odg.1*
%{_mandir}/man1/cmx2odg.1*
%{_mandir}/man1/ebook2odt.1*
%{_mandir}/man1/fh2odg.1*
%{_mandir}/man1/key2odp.1*
%{_mandir}/man1/mwaw2odf.1*
%{_mandir}/man1/pmd2odg.1*
%{_mandir}/man1/pub2odg.1*
%{_mandir}/man1/vsd2odg.1*
%{_mandir}/man1/vss2odg.1*
%{_mandir}/man1/wks2ods.1*
%{_mandir}/man1/wpd2odt.1*
%{_mandir}/man1/wpg2odg.1*
%{_mandir}/man1/wps2odt.1*

%files epub
%doc ChangeLog COPYING.LGPL COPYING.MPL NEWS README
%{_bindir}/cdr2epub
%{_bindir}/cmx2epub
%{_bindir}/ebook2epub
%{_bindir}/fh2epub
%{_bindir}/key2epub
%{_bindir}/mwaw2epub
%{_bindir}/pmd2epub
%{_bindir}/pub2epub
%{_bindir}/vsd2epub
%{_bindir}/vss2epub
%{_bindir}/wpd2epub
%{_bindir}/wpg2epub
%{_bindir}/wps2epub
%{_mandir}/man1/abw2epub.1*
%{_mandir}/man1/cdr2epub.1*
%{_mandir}/man1/cmx2epub.1*
%{_mandir}/man1/ebook2epub.1*
%{_mandir}/man1/fh2epub.1*
%{_mandir}/man1/key2epub.1*
%{_mandir}/man1/mwaw2epub.1*
%{_mandir}/man1/pmd2epub.1*
%{_mandir}/man1/pub2epub.1*
%{_mandir}/man1/vsd2epub.1*
%{_mandir}/man1/vss2epub.1*
%{_mandir}/man1/wpd2epub.1*
%{_mandir}/man1/wpg2epub.1*
%{_mandir}/man1/wps2epub.1*

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 26 2014 David Tardon <dtardon@redhat.com> - 0.9.2-2
- put EPUB export tools into a separate subpackage

* Sun Jul 06 2014 David Tardon <dtardon@redhat.com> - 0.9.2-1
- new upstream release
- enable EPUB export

* Fri Jun 27 2014 David Tardon <dtardon@redhat.com> - 0.9.1-3
- enable support for Adobe PageMaker documents

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun 03 2014 David Tardon <dtardon@redhat.com> - 0.9.1-1
- new upstream release

* Thu May 29 2014 David Tardon <dtardon@redhat.com> - 0.9.0-2
- fix libe-book integration

* Mon May 26 2014 David Tardon <dtardon@redhat.com> - 0.9.0-1
- new upstream release

* Wed Apr 09 2014 David Tardon <dtardon@redhat.com> - 0.8.4-1
- new upstream release

* Sat Nov 02 2013 David Tardon <dtardon@redhat.com> - 0.8.3-1
- new release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 David Tardon <dtardon@redhat.com> - 0.8.2-2
- package license files

* Sun May 12 2013 David Tardon <dtardon@redhat.com> - 0.8.2-1
- initial import
